﻿@model NationalTheatre.ViewModels.ShowViewModel

<h4 class="text-danger">@Html.ValidationMessage("CustomError")</h4>
<br>
<h4 class="text-success">@Html.ValidationMessage("NoError")</h4>
<h2>Are you sure you want to reserve this?</h2>

<div>
  <hr />
  <dl class="dl-horizontal">

    <dt>
      Name
    </dt>
    <dd>
      @Html.DisplayFor(model => model.Name)
    </dd>
    <dt>
      Date
    </dt>
    <dd>
      @Html.DisplayFor(model => model.Date)
    </dd>
  </dl>

  <form asp-action="Reserve" asp-controller="Users" method="post">

    <div class="form-group">
      <label class="col-md-2 control-label">Row|Seat</label>
      <div class="col-md-10">
        @for (var i = 0; i < Model.RowSeats.Count; i++)
        {
          <input type="checkbox" asp-for="@Model.RowSeats[i].Checkbox" id="chk"/>
          <label asp-for="@Model.RowSeats[i].Checkbox">@Model.RowSeats[i].RowSeat()</label>
          <input type="hidden" asp-for="@Model.RowSeats[i].Seat" />
          <input type="hidden" asp-for="@Model.RowSeats[i].Row" />
        }
        <input type="hidden" id="tickets" asp-for="@Model.AvailableTickets" />
      </div>
    </div>
    <div class="form-actions no-color">
      <input type="submit" value="Reserve" class="btn btn-primary" /> |
      <a asp-action="Index" asp-controller="Users">No</a>
    </div>

  </form>
</div>
